Loading...
Searching...
No Matches
_addrxlat_param_lookup Struct Reference

Parameters of table lookup translation. More...

`#include <addrxlat.h>`

## Data Fields

addrxlat_addr_t | endoff
| Max address offset inside each object.
size_t | nelem
| Size of the table.
addrxlat_lookup_elem_t * | tbl
| Lookup table.

## Detailed Description

Parameters of table lookup translation.

## Field Documentation

## endoff

addrxlat_addr_t _addrxlat_param_lookup::endoff

Max address offset inside each object.

This is in fact object size - 1. However, specifying the end offset gives maximum flexibility (from 1-byte objects to the full size of the address space).

## tbl

addrxlat_lookup_elem_t* _addrxlat_param_lookup::tbl

Lookup table.

The lookup table is owned by the translation method, i.e. it is freed when the method reference count becomes zero.

The documentation for this struct was generated from the following file:

- include/libkdumpfile/addrxlat.h